### Method

# EDataServer SourceWebdav set_resource_path

since: 3.6

#### Declaration [src]

    void
    e_source_webdav_set_resource_path (
      ESourceWebdav* extension,
      const gchar* resource_path
    )

#### Description [src]

Sets the absolute path to a resource on a WebDAV server.

The internal copy of `resource_path` is automatically stripped of leading and trailing whitespace. If the resulting string is empty, `NULL` is set instead.

Available since: 3.6

Sets property | `EDataServer.SourceWebdav:resource-path`

#### Parameters

`resource_path`

  Type: `const gchar*`

  The absolute path to a WebDAV resource, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.